Bug 553518

Summary: Update parted to version 2.1
Product: [Fedora] Fedora Reporter: Matt Domsch <matt_domsch>
Component: partedAssignee: Hans de Goede <hdegoede>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: hdegoede, jordan_hargrave, linux-bugs, meyering, stuart_hayes
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 563218 (view as bug list) Environment:
Last Closed: 2010-01-11 14:25:41 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 507684, 563218    

Description Matt Domsch 2010-01-07 23:33:26 EST
Description of problem:
GNU Parted 1.9 and earlier cannot handle disks with a 4K sector size.  Such disks are starting to become available on the open market now, and will be commonplace within the lifetime of Fedora 13.

Please update parted to version 2.1 or thereabouts (certainly >= 2.0) to add proper support for such disks.
Comment 1 Matt Domsch 2010-01-07 23:38:55 EST
FYI, parted 1.9 doesn't like 4K sector disk at all. :-)
$ rpm -q parted
parted-1.9.0-25.fc13.x86_64
# /sbin/parted /dev/sdb print
Warning: Device /dev/sdb has a logical sector size of 4096.  Not all parts of GNU Parted support this at the moment, and the working code is HIGHLY
EXPERIMENTAL.

*** stack smashing detected ***: <unknown> terminated
======= Backtrace: =========
/lib64/libc.so.6(__fortify_fail+0x37)[0x7f32963ba557]
/lib64/libc.so.6(__fortify_fail+0x0)[0x7f32963ba520]
/lib64/libparted-1.9.so.0(+0x42586)[0x7f3296683586]
======= Memory map: ========
00400000-00412000 r-xp 00000000 fd:00 30384                              /sbin/parted.old
00612000-00613000 rw-p 00012000 fd:00 30384                              /sbin/parted.old
00613000-00614000 rw-p 00000000 00:00 0
0158c000-015ce000 rw-p 00000000 00:00 0                                  [heap]
328b000000-328b03a000 r-xp 00000000 fd:00 82206                          /lib64/libreadline.so.6.0
328b03a000-328b23a000 ---p 0003a000 fd:00 82206                          /lib64/libreadline.so.6.0
328b23a000-328b242000 rw-p 0003a000 fd:00 82206                          /lib64/libreadline.so.6.0
328b242000-328b243000 rw-p 00000000 00:00 0
3293800000-3293816000 r-xp 00000000 fd:00 67316                          /lib64/libgcc_s-4.4.2-20091222.so.1
3293816000-3293a15000 ---p 00016000 fd:00 67316                          /lib64/libgcc_s-4.4.2-20091222.so.1
3293a15000-3293a16000 rw-p 00015000 fd:00 67316                          /lib64/libgcc_s-4.4.2-20091222.so.1
3297c00000-3297c1d000 r-xp 00000000 fd:00 82205                          /lib64/libtinfo.so.5.7
3297c1d000-3297e1d000 ---p 0001d000 fd:00 82205                          /lib64/libtinfo.so.5.7
3297e1d000-3297e21000 rw-p 0001d000 fd:00 82205                          /lib64/libtinfo.so.5.7
329b000000-329b00e000 r-xp 00000000 fd:00 15899                          /lib64/libudev.so.0.4.2
329b00e000-329b20d000 ---p 0000e000 fd:00 15899                          /lib64/libudev.so.0.4.2
329b20d000-329b20e000 rw-p 0000d000 fd:00 15899                          /lib64/libudev.so.0.4.2
7f328f7ec000-7f329561d000 r--p 00000000 fd:00 72870                      /usr/lib/locale/locale-archive
7f329561d000-7f3295639000 r-xp 00000000 fd:00 4732                       /lib64/libblkid.so.1.1.0
7f3295639000-7f3295839000 ---p 0001c000 fd:00 4732                       /lib64/libblkid.so.1.1.0
7f3295839000-7f329583c000 rw-p 0001c000 fd:00 4732                       /lib64/libblkid.so.1.1.0
7f329583c000-7f3295878000 r-xp 00000000 fd:00 82924                      /lib64/libsepol.so.1
7f3295878000-7f3295a77000 ---p 0003c000 fd:00 82924                      /lib64/libsepol.so.1
7f3295a77000-7f3295a78000 rw-p 0003b000 fd:00 82924                      /lib64/libsepol.so.1
7f3295a78000-7f3295a94000 r-xp 00000000 fd:00 4006                       /lib64/libselinux.so.1
7f3295a94000-7f3295c93000 ---p 0001c000 fd:00 4006                       /lib64/libselinux.so.1
7f3295c93000-7f3295c94000 r--p 0001b000 fd:00 4006                       /lib64/libselinux.so.1
7f3295c94000-7f3295c95000 rw-p 0001c000 fd:00 4006                       /lib64/libselinux.so.1
7f3295c95000-7f3295c96000 rw-p 00000000 00:00 0
7f3295c96000-7f3295cb5000 r-xp 00000000 fd:00 16742                      /lib64/libdevmapper.so.1.02
7f3295cb5000-7f3295eb5000 ---p 0001f000 fd:00 16742                      /lib64/libdevmapper.so.1.02
7f3295eb5000-7f3295eb7000 rw-p 0001f000 fd:00 16742                      /lib64/libdevmapper.so.1.02
7f3295eb7000-7f3295eb9000 r-xp 00000000 fd:00 3459                       /lib64/libdl-2.11.90.so
7f3295eb9000-7f32960b9000 ---p 00002000 fd:00 3459                       /lib64/libdl-2.11.90.so
7f32960b9000-7f32960ba000 r--p 00002000 fd:00 3459                       /lib64/libdl-2.11.90.so
7f32960ba000-7f32960bb000 rw-p 00003000 fd:00 3459                       /lib64/libdl-2.11.90.so
7f32960bb000-7f32960bf000 r-xp 00000000 fd:00 4167                       /lib64/libuuid.so.1.3.0
7f32960bf000-7f32962be000 ---p 00004000 fd:00 4167                       /lib64/libuuid.so.1.3.0
7f32962be000-7f32962bf000 rw-p 00003000 fd:00 4167                       /lib64/libuuid.so.1.3.0
7f32962bf000-7f3296437000 r-xp 00000000 fd:00 3453                       /lib64/libc-2.11.90.so
7f3296437000-7f3296637000 ---p 00178000 fd:00 3453                       /lib64/libc-2.11.90.so
7f3296637000-7f329663b000 r--p 00178000 fd:00 3453                       /lib64/libc-2.11.90.so
7f329663b000-7f329663c000 rw-p 0017c000 fd:00 3453                       /lib64/libc-2.11.90.so
7f329663c000-7f3296641000 rw-p 00000000 00:00 0
7f3296641000-7f32966b9000 r-xp 00000000 fd:00 5666                       /lib64/libparted-1.9.so.0.0.0
7f32966b9000-7f32968b9000 ---p 00078000 fd:00 5666                       /lib64/libparted-1.9.so.0.0.0
7f32968b9000-7f32968bd000 rw-p 00078000 fd:00 5666                       /lib64/libparted-1.9.so.0.0.0
7f32968bd000-7f32968be000 rw-p 00000000 00:00 0
7f32968be000-7f32968de000 r-xp 00000000 fd:00 3443                       /lib64/ld-2.11.90.so
7f3296ac5000-7f3296acc000 rw-p 00000000 00:00 0
7f3296ad4000-7f3296ad5000 rw-p 00000000 00:00 0
7f3296ad5000-7f3296adc000 r--s 00000000 fd:00 5416                       /usr/lib64/gconv/gconv-modules.cache
7f3296adc000-7f3296add000 rw-p 00000000 00:00 0
7f3296add000-7f3296ade000 r--p 0001f000 fd:00 3443                       /lib64/ld-2.11.90.so
7f3296ade000-7f3296adf000 rw-p 00020000 fd:00 3443                       /lib64/ld-2.11.90.so
7f3296adf000-7f3296ae0000 rw-p 00000000 00:00 0
7fff4d0a8000-7fff4d0bd000 rw-p 00000000 00:00 0                          [stack]
7fff4d134000-7fff4d135000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Aborted
Comment 2 Hans de Goede 2010-01-08 02:47:09 EST
Hmm,

We were hoping we would get away for now with just properly supporting
physical 4k sectors (for which we have backported patches to parted-1.9.x).

I've discussed this with parted upstream and they are not sure yet parted-2.x is ready for prime time use.

"Such disks are starting to become available on the open market now" are you sure about this ? AFAIK 4k physical sector disks will be, but not logical sector
ones (physcical = on platter, logical = over the wire / as seen by the OS).

Is the /dev/sdb in question a real disk or was it created with the scsi_debug module ?

Regards,

Hans
Comment 3 Jim Meyering 2010-01-08 04:21:57 EST
I too would like to see parted-2.x in F13.  The sooner we work out any bugs the better.
Comment 4 Matt Domsch 2010-01-08 10:59:06 EST
Correct that 4K physical, 512 logical are available on the market now.  4k physical / 4k logical are available in sample units (yes, my /dev/sdb is one such sample) now, with widespread availablity targeting 2012, possibly sooner.  Certainly within the lifetime of RHEL6, and possibly within the lifetime of F13.

I also note that kernel 2.6.33-rc1 or later is needed to pick up GPT parsing fixes for 4k logical sector disks.
Comment 5 Hans de Goede 2010-01-11 14:25:41 EST
parted-2.1 is on its way to rawhide, so I'm closing this.

Matt,

Here is an updates.img which can be used together with the *i386* Fedora-12
anaconda, can you try installing Fedora-12 on that 4k logical sector disk by
using F-12 + this updates.img ?

http://people.fedoraproject.org/~jwrdegoede/updates-553518.i386.img

Thanks,

Hans
Comment 6 Matt Domsch 2010-01-11 15:21:19 EST
unfortunately, something segfaulted shortly after choosing to initialize the 4K sector disk but before any partitioning choice screens, and the backtrace from libc scrolled long past what the screen buffer with alt-pgup could catch.  :-(
Comment 7 Hans de Goede 2010-01-12 03:34:07 EST
(In reply to comment #6)
> unfortunately, something segfaulted shortly after choosing to initialize the 4K
> sector disk but before any partitioning choice screens, and the backtrace from
> libc scrolled long past what the screen buffer with alt-pgup could catch.  :-(    

Nasty,

Can you try installing F-12 with the disk not connected, then add it, and
install:
http://koji.fedoraproject.org/koji/buildinfo?buildID=149973
http://koji.fedoraproject.org/koji/buildinfo?buildID=150382

(ignore the broken deps for DeviceKit-Disks on parted, I did and things are still
 fine for me).

And then doing some tests with parted on the drive in question ? And see
if you can get it to crash ?

Thanks,

Hans
Comment 8 Matt Domsch 2010-02-09 10:47:13 EST
Stuart, Jordan: can you work with Hans to test and debug these anaconda/libparted failures with the 4k disk?